import typia from 'typia';
export const isSerializedNode = (() => { const _io0 = input => "root" === input.type && 1 === input.version && (null === input.direction || "ltr" === input.direction || "rtl" === input.direction) && "string" === typeof input.format && "number" === typeof input.indent && (Array.isArray(input.children) && input.children.every(elem => "object" === typeof elem && null !== elem && _iu0(elem))); const _io1 = input => "paragraph" === input.type && 1 === input.version && (null === input.direction || "ltr" === input.direction || "rtl" === input.direction) && "string" === typeof input.format && "number" === typeof input.indent && "number" === typeof input.textFormat && "string" === typeof input.textStyle && (Array.isArray(input.children) && input.children.every(elem => "object" === typeof elem && null !== elem && _iu0(elem))); const _io2 = input => "text" === input.type && 1 === input.version && "number" === typeof input.detail && "number" === typeof input.format && "string" === typeof input.mode && "string" === typeof input.style && "string" === typeof input.text; const _io3 = input => "linebreak" === input.type && 1 === input.version; const _io4 = input => "mention" === input.type && 1 === input.version && "number" === typeof input.detail && "number" === typeof input.format && "string" === typeof input.mode && "string" === typeof input.style && "string" === typeof input.text && "string" === typeof input.mentionId; const _io5 = input => "emoji" === input.type && 1 === input.version && "string" === typeof input.emojiId; const _io6 = input => "autolink" === input.type && 1 === input.version && "string" === typeof input.url; const _iu0 = input => (() => {
    if ("root" === input.type)
        return _io0(input);
    else if ("paragraph" === input.type)
        return _io1(input);
    else if ("text" === input.type)
        return _io2(input);
    else if ("linebreak" === input.type)
        return _io3(input);
    else if ("mention" === input.type)
        return _io4(input);
    else if ("emoji" === input.type)
        return _io5(input);
    else if ("autolink" === input.type)
        return _io6(input);
    else
        return false;
})(); return input => "object" === typeof input && null !== input && _iu0(input); })();
